This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 975572 - virt-sysprep is in the wrong subpackage
virt-sysprep is in the wrong subpackage
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libguestfs (Show other bugs)
6.5
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
:
Depends On:
Blocks: 988156
  Show dependency treegraph
 
Reported: 2013-06-18 15:45 EDT by Richard W.M. Jones
Modified: 2013-12-25 19:11 EST (History)
6 users (show)

See Also:
Fixed In Version: libguestfs-1.20.9-5.el6
Doc Type: Bug Fix
Doc Text:
(This is a compose problem and was not in a released version)
Story Points: ---
Clone Of:
: 975573 988156 (view as bug list)
Environment:
Last Closed: 2013-11-20 23:45:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Files to packages in RHEL 6 (13.07 KB, text/plain)
2013-06-19 15:14 EDT, Richard W.M. Jones
no flags Details

  None (edit)
Description Richard W.M. Jones 2013-06-18 15:45:49 EDT
Description of problem:

$ rpm -ql libguestfs-tools
/usr/bin/virt-inspector
/usr/bin/virt-sysprep
[...]

These two programs (plus man pages) should be in libguestfs-tools-c.

Ought to check that other programs and files are distributed
between the subpackages correctly too.

Version-Release number of selected component (if applicable):

libguestfs-tools-1.20.8-1.el6.x86_64
Comment 2 Richard W.M. Jones 2013-06-19 15:14:05 EDT
Created attachment 763114 [details]
Files to packages in RHEL 6

Distribution of files to packages in libguestfs in RHEL 6.
Comment 3 Richard W.M. Jones 2013-06-19 15:17:39 EDT
(In reply to Richard W.M. Jones from comment #2)
> Created attachment 763114 [details]
> Files to packages in RHEL 6
> 
> Distribution of files to packages in libguestfs in RHEL 6.

Actually virt-inspector is in the right subpackage.
I forgot that virt-inspector is written in Perl in
this version of RHEL.

Looking at the package list, only virt-sysprep seems
to be in the wrong subpackage.
Comment 12 bfan 2013-09-17 03:40:10 EDT
Verified with libguestfs-1.20.11-1.el6.x86_64

# rpm -ql libguestfs-tools-c | grep virt-sysprep
/usr/bin/virt-sysprep
/usr/share/man/man1/virt-sysprep.1.gz

# rpm -ql libguestfs-tools | grep virt-inspector
/usr/bin/virt-inspector
/usr/share/man/man1/virt-inspector.1.gz

According to #C3, it's out expected result, so change the status to verified
Comment 14 errata-xmlrpc 2013-11-20 23:45:05 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1536.html

Note You need to log in before you can comment on or make changes to this bug.